cgGetConnectedParameter(3)

NAME
cgGetConnectedParameter - gets the connected source parameter

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgGetConnectedParameter( CGparameter param );

PARAMETERS

param
    The destination parameter.

RETURN VALUES
Returns the connected source parameter if param is connected to one.

Returns NULL otherwise.

DESCRIPTION
Returns the source parameter to which param is connected.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetConnectedParameter was introduced in Cg 1.2.

SEE ALSO
the cgConnectParameter manpage, the cgDisconnectParameter manpage, the cgGetConnectedToParameter manpage